OracleBlobColumn (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.jdbc.OracleBlobColumn class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.jdbc
Class OracleBlobColumn

    java.lang.Object
      org.hyperic.util.jdbc.StdBlobColumn
          org.hyperic.util.jdbc.OracleBlobColumn

All Implemented Interfaces:
  BlobColumn

    public class OracleBlobColumn

extends StdBlobColumn

OracleBlobColum - a wrapper for Oracle Blob columns.

Constructor Summary
`OracleBlobColumn(java.lang.String dsName, java.lang.String tableName, java.lang.String idColName, java.lang.String blobColName)`

Method Summary
`protected void` | `doInsert()`
`protected void` | `doSelect()`
`static byte[]` | `doSelect(java.sql.ResultSet rs, int columnIndex)`
`protected void` | `doUpdate()`

Methods inherited from class org.hyperic.util.jdbc.StdBlobColumn
`checkForInsert, checkIdSet, delete, doDelete, fetchNextId, getBlobColName, getBlobData, getCtxName, getDBConn, getId, getIdColName, getInitialContext, getSeqName, getTableName, insert, select, setBlobColName, setBlobData, setId, setIdColName, setSequenceInfo, setTableName, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OracleBlobColumn

    public OracleBlobColumn(java.lang.String dsName,
                            java.lang.String tableName,
                            java.lang.String idColName,
                            java.lang.String blobColName)

Method Detail

### doSelect

    protected void doSelect()
                     throws java.sql.SQLException

  Overrides:
    `doSelect` in class `StdBlobColumn`
  Throws:
    `java.sql.SQLException`

### doSelect

    public static byte[] doSelect(java.sql.ResultSet rs,
                                  int columnIndex)
                           throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### doUpdate

    protected void doUpdate()
                     throws java.sql.SQLException

  Overrides:
    `doUpdate` in class `StdBlobColumn`
  Throws:
    `java.sql.SQLException`

### doInsert

    protected void doInsert()
                     throws java.sql.SQLException

  Overrides:
    `doInsert` in class `StdBlobColumn`
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.